[packages/sbcl] - updated common-lisp-controller scripts for current sbcl

qboosh qboosh at pld-linux.org
Mon Oct 10 22:06:52 CEST 2016


commit 54f94c02e4584a2518e1b49d30887f53334170ef
Author: Jakub Bogusz <qboosh at pld-linux.org>
Date:   Mon Oct 10 22:08:57 2016 +0200

    - updated common-lisp-controller scripts for current sbcl

 sbcl-install-clc.lisp |  4 ++--
 sbcl.sh               | 10 +++++-----
 sbcl.spec             |  2 +-
 3 files changed, 8 insertions(+), 8 deletions(-)
---
diff --git a/sbcl.spec b/sbcl.spec
index 170e33a..036139d 100644
--- a/sbcl.spec
+++ b/sbcl.spec
@@ -178,7 +178,7 @@ test -f %{_libdir}/%{name}/sbcl.core || cp -p %{_libdir}/%{name}/sbcl-dist.core
 %if %{with cl_controller}
 if [ $1 -eq 0 ]; then
 	/usr/sbin/unregister-common-lisp-implementation sbcl >/dev/null 2>&1 ||:
-endif
+fi
 %endif
 
 %if %{with doc}
diff --git a/sbcl-install-clc.lisp b/sbcl-install-clc.lisp
index c75c3dc..142506e 100644
--- a/sbcl-install-clc.lisp
+++ b/sbcl-install-clc.lisp
@@ -10,13 +10,13 @@
     (load "/usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp")
   (error (e)
     (format t "~%Error during load of common-lisp-controller.lisp: ~A~%" e)
-    (sb-unix:unix-exit 1)))
+    (sb-sys:os-exit 1)))
 
 (handler-case
     (common-lisp-controller:init-common-lisp-controller-v4 "sbcl")
   (error (e)
     (format t "~%Error running init-common-lisp-controller-v4: ~A~%" e)
-    (sb-unix:unix-exit 1)))
+    (sb-sys:os-exit 1)))
 
 (when (probe-file #p"/etc/lisp.config")
   (load #p"/etc/lisp.config"))
diff --git a/sbcl.sh b/sbcl.sh
index 3b92ebf..a855ffe 100644
--- a/sbcl.sh
+++ b/sbcl.sh
@@ -25,10 +25,10 @@ case $1 in
     echo $0 loading and dumping clc.
     ( cd /usr/lib/sbcl
          /usr/bin/sbcl \
-           --noinform --disable-ldb --disable-debugger \
+           --noinform --disable-ldb \
            --core /usr/lib/sbcl/sbcl-dist.core \
 	   --sysinit ${RCFILE} --no-userinit \
-	   --load "/usr/lib/sbcl/install-clc.lisp" # 2> /dev/null
+	   --load "/usr/lib/sbcl/install-clc.lisp" --non-interactive # 2> /dev/null
               (mv sbcl-new.core sbcl.core && touch sbcl.core --reference=sbcl-dist.core ) || (echo FAILED ; cp -a sbcl-dist.core sbcl.core ) )
     ;;
     remove-clc)
@@ -40,17 +40,17 @@ case $1 in
     shift
     echo rebuilding $1
     /usr/bin/sbcl \
-             --noinform --disable-ldb --disable-debugger \
+             --noinform --disable-ldb \
              --sysinit ${RCFILE} --no-userinit \
              --eval \
 "(handler-case
      (progn
        (asdf:operate 'asdf:compile-op (quote $1))
-       (sb-unix:unix-exit 0))
+       (sb-sys:os-exit 0))
     (error (e)
       (ignore-errors (format t \"~&Build error: ~A~%\" e))
       (finish-output)
-      (sb-unix:unix-exit 1)))" || build_error
+      (sb-sys:os-exit 1)))" --non-interactive || build_error
     ;;
      remove)
     echo $0 removing packages...
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/packages/sbcl.git/commitdiff/54f94c02e4584a2518e1b49d30887f53334170ef



More information about the pld-cvs-commit mailing list